For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList audit log events

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerAudit log

List audit log events

GET
https://ah-api.merge.dev/api/v1/audit-log/
GET
/api/v1/audit-log/
$curl https://ah-api.merge.dev/api/v1/audit-log/ \
> -H "Authorization: Bearer <token>"
200Audit Log Event Response
1{
2 "count": 123,
3 "results": [
4 {
5 "id": "b5ceea2a-7171-47ce-8090-165cfce5572c",
6 "user_name": "Gil Feig",
7 "user_email": "[email protected]",
8 "role": "Admin",
9 "ip_address": "192.0.2.123",
10 "event_type": "TOOL_PACK_CREATED",
11 "event_description": "Created Tool Pack 'Customer Support Pack'",
12 "created_at": "2024-01-15T10:30:00Z"
13 }
14 ],
15 "next": "https://ah-api.merge.dev/api/v1/audit-log/?page=4",
16 "previous": "https://ah-api.merge.dev/api/v1/audit-log/?page=2"
17}
Retrieves a paginated list of audit log events for the organization. Events are ordered by creation time, with the most recent first.
Was this page helpful?
Previous

Revoke access key

Next

List Registered Users

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Query parameters

created_afterdatetimeOptional

Filter events created on or after this date (ISO 8601)

created_beforedatetimeOptional

Filter events created on or before this date (ISO 8601)

event_typeenumOptional
Filter by event type
pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.
user_idstringOptionalformat: "uuid"
Filter by user ID

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"